%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}

%define xml_version_required 2.4.15
%define major 1
%define py_ver 2.2

Summary: Library providing XSLT support
Name:    libxslt
Version: 1.0.12
Release: 1mdk
License: MIT
Group: System/Libraries
Source: ftp://xmlsoft.org/libxslt-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libxml2 >= %{xml_version_required}
BuildRequires: libxml2-devel >= %{xml_version_required}
BuildRequires: python-devel >= %{py_ver} libxml2-python >= %{xml_version_required}

URL: http://xmlsoft.org/XSLT/

Patch0: libxslt-public.patch.bz2

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%package proc
Summary: XSLT processor using libxslt
Group: System/Libraries
Requires: %{name}%{major} = %{version}

%description proc
This package provides an XSLT processor based on the libxslt C library. 
It allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 


%package -n %{name}%{major}
Summary: Library providing XSLT support
Group: System/Libraries
Requires: libxml2 >= %{xml_version_required}

%description  -n %{name}%{major}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 
A xslt processor based on this library, named xsltproc, is provided by 
the libxslt-proc package.

%package python
Summary: Python bindings for the libxslt library
Group: Development/Python
Requires: %{name}%{major} = %{version}
Requires: python >= %{py_ver}
Requires: libxml2-python >= %{xml_version_required}

%description python
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.


%package -n %{name}%{major}-devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Provides: %{name}-devel
Requires: %{name}%{major} = %{version}
Requires: libxml2-devel >= %{xml_version_required}

%description -n %{name}%{major}-devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. 

%prep
%setup -q

%patch0 -p1 -b .public

%build
%if %buildfor7_2 || %buildfor8_0
%define __libtoolize /bin/true
%endif

%configure

# parallel compilation is broken
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%if %buildfor7_2 || %buildfor8_0
make DESTDIR=$RPM_BUILD_ROOT install
%else
%makeinstall_std
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig 

%postun -n %{name}%{major} -p /sbin/ldconfig

%files proc
%defattr(-, root, root)
%{_bindir}/xsltproc
%{_mandir}/man1/*

%files -n %{name}%{major}
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright FEATURES
%doc doc/*.html doc/html
%{_libdir}/lib*.so.*

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog README Copyright FEATURES
%{_libdir}/python%{py_ver}/site-packages/*
%doc python/TODO
%doc python/libxsltclass.txt
%doc python/tests/*.py


%files -n %{name}%{major}-devel
%defattr(-, root, root)
%{_mandir}/man4/*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_includedir}/*
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*

%changelog
* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12
- Parallel compilation is broken

* Mon Feb 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-1mdk
- Release 1.0.11
- Add python subpackage

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.10-1mdk
- Release 1.0.10

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Thu Nov 15 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.7-2mdk
- Fix build on 7.2 and 8.0

* Mon Nov 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.7-1mdk
- release 1.0.7

* Tue Nov  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.6-2mdk
- patch to define LIBXSLT_PUBLIC to nil

* Tue Oct 30 2001 Philippe Libat <philippe@mandrakesoft.com> 1.0.6-1mdk
- release 1.0.6

* Tue Oct  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.4-1mdk
- release 1.0.4

* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.3-1mdk
- release 1.0.3 in sync with libxml2 2.4.3

* Tue Aug 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.2-1mdk
- new version

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-2mdk
- updated requires on libxml2

* Tue Jul 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.1-1mdk
- new version

* Wed Jul 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.0.0-1mdk
- first stable version; many thanks to Daniel Veillard for this really 
wonderful lib (as well as libxml2).

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.14.0-1mdk
- new version

* Thu Jun 28 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.13.0-1mdk
- new version

* Tue Jun 12 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.11.0-1mdk
- new version

* Fri May  4 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- new version, patch not needed anymore

* Wed Apr 25 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.0-2mdk
- patch for multiple parameters in xsltproc

* Tue Apr 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.0-1mdk
- new version

* Thu Apr 19 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.0-1mdk
- first Mandrake release
- libification
- macroszification
- satisfaction ;-)

* Mon Jan 22 2001 Daniel.Veillard <Daniel.Veillard@imag.fr>

- created based on libxml2 spec file

